//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using CommunityServer.Controls;

namespace CommunityServer.ControlPanel.Blogs
{
    public abstract class BlogCommand
    {
        public virtual string OK
        {
            get { return CommunityServer.Components.ResourceManager.GetString("OK");}
        }

        public virtual string Cancel
        {
            get { return CommunityServer.Components.ResourceManager.GetString("Cancel");}
        }

        public virtual string Title
        {
            get { return "Blog Command";}
        }

        public abstract string Message(BlogCommandPage page);
        public abstract void Action(BlogCommandPage page);

        public virtual void CloseScript(BlogCommandPage page)
        {
        	Modal.ClosePage(page);
        }

		
    }
}